Saltar al contenido principal
GET
/
api
/
v1
/
brcode
/
solicrec
/
{idSolicRec}
Consultar solicitud de recurrencia (Pix Automático)
curl --request GET \
  --url https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://spi.sandbox.lerian.net/api/v1/brcode/solicrec/{idSolicRec}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "calendario": {
    "dataExpiracaoSolicitacao": "2023-11-07T05:31:56Z"
  },
  "destinatario": {
    "conta": "<string>",
    "ispbParticipante": "<string>",
    "agencia": "<string>",
    "cnpj": "<string>",
    "cpf": "<string>"
  },
  "idRec": "<string>",
  "idSolicRec": "<string>"
}
{
  "code": "<string>",
  "detail": "<string>",
  "errors": [
    {
      "location": "<string>",
      "message": "<string>",
      "value": "<unknown>"
    }
  ],
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "about:blank"
}

Autorizaciones

Authorization
string
header
requerido

JWT bearer token issued by the identity provider.

Parámetros de ruta

idSolicRec
string
requerido

Identificador da solicitação [a-zA-Z0-9]{29}.

Pattern: ^[a-zA-Z0-9]{29}$

Respuesta

OK

calendario
object
requerido
destinatario
object
requerido
idRec
string
requerido
Pattern: ^[a-zA-Z0-9]{29}$
idSolicRec
string
requerido

Identificador da solicitação.

Pattern: ^[a-zA-Z0-9]{29}$
status
enum<string>
requerido
Opciones disponibles:
CRIADA,
ENVIADA,
RECEBIDA,
REJEITADA,
ACEITA,
EXPIRADA,
CANCELADA